#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N,M;
    cin>>N>>M;
    int putevi[M][3];
    for(int i=0;i<M;i++){
        cin>>putevi[M][0];
        cin>>putevi[M][1];
        cin>>putevi[M][2];
    }
    cout<<1<<endl;
    return 0;
}